/* Generated by the protocol buffer compiler.  DO NOT EDIT! */
/* Generated from: fake_lib.proto */

#ifndef PROTOBUF_C_fake_5flib_2eproto__INCLUDED
#define PROTOBUF_C_fake_5flib_2eproto__INCLUDED

#include <protobuf-c/protobuf-c.h>

PROTOBUF_C__BEGIN_DECLS

#if PROTOBUF_C_VERSION_NUMBER < 1003000
# error This file was generated by a newer version of protoc-c which is incompatible with your libprotobuf-c headers. Please update your headers.
#elif 1003003 < PROTOBUF_C_MIN_COMPILER_VERSION
# error This file was generated by an older version of protoc-c which is incompatible with your libprotobuf-c headers. Please regenerate this file with a newer version of protoc-c.
#endif


/*typedef struct _ADC ADC;*/


/* --- enums --- */


/* --- messages --- */

/*struct  _ADC
{
  ProtobufCMessage base;
  char *id;
  uint32_t value;
};*/

#define ADC__INIT \
 { PROTOBUF_C_MESSAGE_INIT (&adc__descriptor) \
    , (char *)protobuf_c_empty_string, 0 }


/* ADC methods */
void   adc__init
                     (ADC         *message);
size_t adc__get_packed_size
                     (const ADC   *message);
size_t adc__pack
                     (const ADC   *message,
                      uint8_t             *out);
size_t adc__pack_to_buffer
                     (const ADC   *message,
                      ProtobufCBuffer     *buffer);
ADC *
       adc__unpack
                     (ProtobufCAllocator  *allocator,
                      size_t               len,
                      const uint8_t       *data);
void   adc__free_unpacked
                     (ADC *message,
                      ProtobufCAllocator *allocator);
/* --- per-message closures --- */

typedef void (*ADC_Closure)
                 (const ADC *message,
                  void *closure_data);

/* --- services --- */


/* --- descriptors --- */

extern const ProtobufCMessageDescriptor adc__descriptor;

PROTOBUF_C__END_DECLS


#endif  /* PROTOBUF_C_fake_5flib_2eproto__INCLUDED */
